| fgl-5.4.2.0: Martin Erwig's Functional Graph Library | Source code | Contents | Index

Data.Graph.Inductive.Query.BCC

Synopsis

bcc :: DynGraph gr => gr a b -> [gr a b]

Documentation

bcc :: DynGraph gr => gr a b -> [gr a b] | Source

Finds the bi-connected components of an undirected connected graph. It first finds the articulation points of the graph. Then it disconnects the graph on each articulation point and computes the connected components.
Produced by Haddock version 0.9